GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document Class Reference

## Public Member Functions
byte [] | getData ()
void | setData (byte[] value)
LabelFormat | getLabelFormat ()
void | setLabelFormat (LabelFormat value)
QRFormat | getQRFormat ()
void | setQRFormat (QRFormat value)

## Protected Attributes
byte [] | data
LabelFormat | labelFormat
QRFormat | qrFormat

## Detailed Description

Data being returned from createShipment request

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Document">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Data" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
            <element name="LabelFormat" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}LabelFormat" minOccurs="0"/>
            <element name="QRFormat" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}QRFormat" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 43 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## Member Function Documentation

## ◆ getData()

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.getData | ( |  | ) |

Gets the value of the data property.

Returns
  possible object is byte[]

Definition at line 61 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ getLabelFormat()

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.getLabelFormat | ( |  | ) |

Gets the value of the labelFormat property.

Returns
  possible object is LabelFormat

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ getQRFormat()

QRFormat eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.getQRFormat | ( |  | ) |

Gets the value of the qrFormat property.

Returns
  possible object is QRFormat

Definition at line 108 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ setData()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.setData | ( | byte [] | value | ) |

Sets the value of the data property.

Parameters

  value | allowed object is byte[]

Definition at line 72 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ setLabelFormat()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.setLabelFormat | ( | LabelFormat | value | ) |

Sets the value of the labelFormat property.

Parameters

  value | allowed object is LabelFormat

Definition at line 96 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ setQRFormat()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.setQRFormat | ( | QRFormat | value | ) |

Sets the value of the qrFormat property.

Parameters

  value | allowed object is QRFormat

Definition at line 120 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## Member Data Documentation

## ◆ data

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.data
| protected

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ labelFormat

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.labelFormat
| protected

Definition at line 49 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

## ◆ qrFormat

QRFormat eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Document.qrFormat
| protected

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Document.java